//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  STOOLBAR.H

#if !defined(__SFX_STOOLBAR_H)
#define __SFX_STOOLBAR_H

#if !defined(__OWL_WINDOW_H)
  #include <owl\window.h>
#endif

//  class TSFXToolbar

class _OWLCLASS TSFXToolbar : public TWindow
{
  public:
	TSFXToolbar(TWindow*        parent,
				int             id,
				const char far* title,
				int x, int y,
				BOOL            isChild = TRUE,
				TModule*        module = 0);

	TSFXToolbar(TWindow* parent, int resourceId, TModule* module = 0);

	//	Returns the toolbar id
	virtual int GetId();

	//	Retrieves the full text string used to create the toolbar.
	void        GetTitle(char far* str);

	/*	Aligns Toolbar along Top, Left, Right or Bottom of Window
		depending on mtb_XXXXXX style. Use this to align a toolbar
		from the parent's WMSize message when its window is resized	 */
	void        AlignToolbar();

	//	Returns the check state of a Toolbar button
	UINT        GetCheck(int toolId);

	//	Checks a Toolbar button (appears depressed)
	void        CheckTool(int toolId);

	//	Unchecks a Toolbar button
	void        UncheckTool(int toolId);

	//  Returns true if the Toolbar button identified by ToolId is enabled
	BOOL        IsToolEnabled(int toolId);

    //  Enables/Disables the Toolbar button identifed by ToolId
	void        EnableTool(int toolId, BOOL enabled);

	//  Get the Static control text in an aligned toolbar or status bar
	void        GetText(char far* str);

	//  Sets the Static control text in an aligned toolbar or status bar to str
	void        SetText(const char far* str);

	//  Changes a toolbar button's Id and bitmap(s)
	void        SetTool(int newId, int toolId);

	//	Sets the status bar font if the MTB_STATUS style is specified
	void        SetFont(HFONT font);

	//	Retrieves the window handle of the toolbar's static control
	HWND        StatusWindow();

  protected:
	char far* GetClassName();
	void      EvPaint();

  DECLARE_RESPONSE_TABLE(TSFXToolbar);
  DECLARE_STREAMABLE(_OWLCLASS, TSFXToolbar, 1);
};

#endif  // __SFX_STOOLBAR_H
